API Explorer
Receive Money Queries
Get All Billers

Get All Billers

Test URL

GEThttps://uat.finserve.africa/v3-apis/transaction-api/v3.0/billers

Live URL

GEThttps://api.finserve.africa/v3-apis/transaction-api/v3.0/billers

This web service returns a paginated list of all billers

200 Success Response Schema

Field NameField TypeField Description
statusboolResponse status
codenumberResponse code
messagestringResponse message
databillersResponse object
data.billersarraybiller array
billers.namestringbiller name
billers.codestringbiller code

Example Request

⚠️

In the example below, please remember to replace the variables enclosed within curly brackets {{ }} with the actual values.

Signature Formula e.g. randomstringhere
<random_string>
URL Parameters
ParameterTypeDescriptionRequired
per_pageintNumber of results per page (pagination)Optional
pageintPage number for paginationOptional
Example Request
curl -X GET \
	-H 'Authorization: Bearer {{token}}'  \
	-L 'https://sandbox.jengahq.io/transaction-test/v3/billers?per_page=3&page=6'

Example Response

Example Response
{
   "status":true,
   "code":0,
   "message":"success",
   "data":{
      "billers":[
         {
            "name":"INCULSIVITY",
            "code":"642292"
         },
         {
            "name":"I PAY",
            "code":"266300"
         },
         {
            "name":"MDUKA ONLINE",
            "code":"123456"
         },
         {
            "name":"ECITIZEN",
            "code":"967600"
         },
         {
            "name":"KPLC",
            "code":"6800001"
         },
         {
            "name":"test biller",
            "code":"400000"
         },
         {
            "name":"JAMBO PAY TRUSTEE ACCOUNT",
            "code":"147147"
         },
         {
            "name":"I PAY",
            "code":"300014"
         },
         {
            "name":"ZUKU",
            "code":"320320"
         },
         {
            "name":"WINGS TO FLY",
            "code":"344344"
         },
         {
            "name":"VIRTUAL MOBILE LIMITED",
            "code":"111111"
         },
         {
            "name":"A.C.K ST JAMES CHURCH BURUBURU",
            "code":"303030"
         },
         {
            "name":"MARY WAMBUI KAMANDE",
            "code":"389443"
         },
         {
            "name":"SAMUEL THURI GACHO",
            "code":"800589"
         },
         {
            "name":"JOHN MUHUNGI THURI",
            "code":"017019"
         },
         {
            "name":"BENCHMARK DISTRIBUTORS LIMITED",
            "code":"644443"
         },
         {
            "name":"EAZZY PAY ONLINE",
            "code":"900900"
         },
         {
            "name":"AZURI TECHNOLOGIES KENYA LIMITED",
            "code":"821055"
         }
      ]
   }
}

Error Responses

400 Bad Request

Missing or invalid parameters in the request body.

{
  "status": false,
  "code": 400,
  "message": "Invalid request parameters",
  "error_code": "INVALID_REQUEST"
}

401 Unauthorized

Invalid or expired access token.

{
  "status": false,
  "code": 401,
  "message": "Invalid or expired access token",
  "error_code": "UNAUTHORIZED"
}

403 Forbidden

Valid credentials but invalid signature or insufficient permissions.

{
  "status": false,
  "code": 403,
  "message": "Invalid signature or insufficient permissions",
  "error_code": "FORBIDDEN"
}

404 Not Found

Account not found or invalid account number.

{
  "status": false,
  "code": 404,
  "message": "Source or destination account not found",
  "error_code": "ACCOUNT_NOT_FOUND"
}

Support

For questions or issues with this API: